Index: cpukit/include/rtems/bsd/sys/queue.h
===================================================================
--- cpukit/include/rtems/bsd/sys/queue.h	(revision ae1a4c14e4d5ce81767e11b1a315b354ed44dd04)
+++ cpukit/include/rtems/bsd/sys/queue.h	(revision cd9564e1cd88d45a551d61e862b630e1c9a940d4)
@@ -34,5 +34,5 @@
 #define	_RTEMS_BSD_SYS_QUEUE_H
 
-#include <sys/cdefs.h>
+#include <rtems/bsd/sys/cdefs.h>
 
 /*
Index: cpukit/libcsupport/include/sys/ioccom.h
===================================================================
--- cpukit/libcsupport/include/sys/ioccom.h	(revision ae1a4c14e4d5ce81767e11b1a315b354ed44dd04)
+++ cpukit/libcsupport/include/sys/ioccom.h	(revision cd9564e1cd88d45a551d61e862b630e1c9a940d4)
@@ -89,5 +89,5 @@
 #ifndef KERNEL
 
-#include <sys/cdefs.h>
+#include <rtems/bsd/sys/cdefs.h>
 
 #ifndef __ioctl_command_defined
Index: cpukit/libnetworking/arpa/inet.h
===================================================================
--- cpukit/libnetworking/arpa/inet.h	(revision ae1a4c14e4d5ce81767e11b1a315b354ed44dd04)
+++ cpukit/libnetworking/arpa/inet.h	(revision cd9564e1cd88d45a551d61e862b630e1c9a940d4)
@@ -63,5 +63,5 @@
 /* External definitions for functions in inet(3), addr2ascii(3) */
 
-#include <sys/cdefs.h>
+#include <rtems/bsd/sys/cdefs.h>
 #include <rtems/bsdnet/_types.h>
 
Index: cpukit/libnetworking/arpa/nameser.h
===================================================================
--- cpukit/libnetworking/arpa/nameser.h	(revision ae1a4c14e4d5ce81767e11b1a315b354ed44dd04)
+++ cpukit/libnetworking/arpa/nameser.h	(revision cd9564e1cd88d45a551d61e862b630e1c9a940d4)
@@ -64,5 +64,5 @@
 
 #include <sys/types.h>
-#include <sys/cdefs.h>
+#include <rtems/bsd/sys/cdefs.h>
 
 /*
Index: cpukit/libnetworking/libc/gethostbydns.c
===================================================================
--- cpukit/libnetworking/libc/gethostbydns.c	(revision ae1a4c14e4d5ce81767e11b1a315b354ed44dd04)
+++ cpukit/libnetworking/libc/gethostbydns.c	(revision cd9564e1cd88d45a551d61e862b630e1c9a940d4)
@@ -58,5 +58,5 @@
 #endif
 
-#include <sys/cdefs.h>
+#include <rtems/bsd/sys/cdefs.h>
 
 #include <sys/types.h>
Index: cpukit/libnetworking/libc/res_stubs.c
===================================================================
--- cpukit/libnetworking/libc/res_stubs.c	(revision ae1a4c14e4d5ce81767e11b1a315b354ed44dd04)
+++ cpukit/libnetworking/libc/res_stubs.c	(revision cd9564e1cd88d45a551d61e862b630e1c9a940d4)
@@ -44,5 +44,5 @@
 
 #include <sys/types.h>
-#include <sys/cdefs.h>
+#include <rtems/bsd/sys/cdefs.h>
 
 __weak_reference(__inet_addr, inet_addr);
Index: cpukit/libnetworking/machine/in_cksum.h
===================================================================
--- cpukit/libnetworking/machine/in_cksum.h	(revision ae1a4c14e4d5ce81767e11b1a315b354ed44dd04)
+++ cpukit/libnetworking/machine/in_cksum.h	(revision cd9564e1cd88d45a551d61e862b630e1c9a940d4)
@@ -40,5 +40,5 @@
 #define	_MACHINE_IN_CKSUM_H_	1
 
-#include <sys/cdefs.h>
+#include <rtems/bsd/sys/cdefs.h>
 
 /*
Index: cpukit/libnetworking/net/ethernet.h
===================================================================
--- cpukit/libnetworking/net/ethernet.h	(revision ae1a4c14e4d5ce81767e11b1a315b354ed44dd04)
+++ cpukit/libnetworking/net/ethernet.h	(revision cd9564e1cd88d45a551d61e862b630e1c9a940d4)
@@ -370,5 +370,5 @@
 #else /* _KERNEL */
 
-#include <sys/cdefs.h>
+#include <rtems/bsd/sys/cdefs.h>
 
 /*
Index: cpukit/libnetworking/net/if.h
===================================================================
--- cpukit/libnetworking/net/if.h	(revision ae1a4c14e4d5ce81767e11b1a315b354ed44dd04)
+++ cpukit/libnetworking/net/if.h	(revision cd9564e1cd88d45a551d61e862b630e1c9a940d4)
@@ -38,5 +38,5 @@
 #define	_NET_IF_H_
 
-#include <sys/cdefs.h>
+#include <rtems/bsd/sys/cdefs.h>
 
 #if defined(__rtems__)
Index: cpukit/libnetworking/net/if_dl.h
===================================================================
--- cpukit/libnetworking/net/if_dl.h	(revision ae1a4c14e4d5ce81767e11b1a315b354ed44dd04)
+++ cpukit/libnetworking/net/if_dl.h	(revision cd9564e1cd88d45a551d61e862b630e1c9a940d4)
@@ -75,5 +75,5 @@
 #ifndef _KERNEL
 
-#include <sys/cdefs.h>
+#include <rtems/bsd/sys/cdefs.h>
 
 __BEGIN_DECLS
Index: cpukit/libnetworking/netdb.h
===================================================================
--- cpukit/libnetworking/netdb.h	(revision ae1a4c14e4d5ce81767e11b1a315b354ed44dd04)
+++ cpukit/libnetworking/netdb.h	(revision cd9564e1cd88d45a551d61e862b630e1c9a940d4)
@@ -66,5 +66,5 @@
 #define _NETDB_H_
 
-#include <sys/cdefs.h>
+#include <rtems/bsd/sys/cdefs.h>
 #include <rtems/bsdnet/_types.h>
 
Index: cpukit/libnetworking/netinet/ip.h
===================================================================
--- cpukit/libnetworking/netinet/ip.h	(revision ae1a4c14e4d5ce81767e11b1a315b354ed44dd04)
+++ cpukit/libnetworking/netinet/ip.h	(revision cd9564e1cd88d45a551d61e862b630e1c9a940d4)
@@ -38,5 +38,5 @@
 #define _NETINET_IP_H_
 
-#include <sys/cdefs.h>
+#include <rtems/bsd/sys/cdefs.h>
 
 /*
Index: cpukit/libnetworking/netinet/tcp.h
===================================================================
--- cpukit/libnetworking/netinet/tcp.h	(revision ae1a4c14e4d5ce81767e11b1a315b354ed44dd04)
+++ cpukit/libnetworking/netinet/tcp.h	(revision cd9564e1cd88d45a551d61e862b630e1c9a940d4)
@@ -38,5 +38,5 @@
 #define _NETINET_TCP_H_
 
-#include <sys/cdefs.h>
+#include <rtems/bsd/sys/cdefs.h>
 
 #if __BSD_VISIBLE
Index: cpukit/libnetworking/resolv.h
===================================================================
--- cpukit/libnetworking/resolv.h	(revision ae1a4c14e4d5ce81767e11b1a315b354ed44dd04)
+++ cpukit/libnetworking/resolv.h	(revision cd9564e1cd88d45a551d61e862b630e1c9a940d4)
@@ -60,5 +60,5 @@
 #include <sys/param.h>
 #include <sys/types.h>
-#include <sys/cdefs.h>
+#include <rtems/bsd/sys/cdefs.h>
 #include <stdio.h>
 
Index: cpukit/libnetworking/rtems/rtems_bsdnet_internal.h
===================================================================
--- cpukit/libnetworking/rtems/rtems_bsdnet_internal.h	(revision ae1a4c14e4d5ce81767e11b1a315b354ed44dd04)
+++ cpukit/libnetworking/rtems/rtems_bsdnet_internal.h	(revision cd9564e1cd88d45a551d61e862b630e1c9a940d4)
@@ -74,5 +74,5 @@
  * and copy the contents of the BSD sys/types.h to here....
  */
-#include <sys/cdefs.h>
+#include <rtems/bsd/sys/cdefs.h>
 
 typedef	u_int64_t	u_quad_t;	/* quads */
Index: cpukit/libnetworking/sys/libkern.h
===================================================================
--- cpukit/libnetworking/sys/libkern.h	(revision ae1a4c14e4d5ce81767e11b1a315b354ed44dd04)
+++ cpukit/libnetworking/sys/libkern.h	(revision cd9564e1cd88d45a551d61e862b630e1c9a940d4)
@@ -38,5 +38,5 @@
 #define	_SYS_LIBKERN_H_
 
-#include <sys/cdefs.h>
+#include <rtems/bsd/sys/cdefs.h>
 #include <sys/types.h>
 
Index: cpukit/libnetworking/sys/mount.h
===================================================================
--- cpukit/libnetworking/sys/mount.h	(revision ae1a4c14e4d5ce81767e11b1a315b354ed44dd04)
+++ cpukit/libnetworking/sys/mount.h	(revision cd9564e1cd88d45a551d61e862b630e1c9a940d4)
@@ -117,5 +117,5 @@
 #else /* !_KERNEL */
 
-#include <sys/cdefs.h>
+#include <rtems/bsd/sys/cdefs.h>
 
 #endif /* _KERNEL */
Index: cpukit/libnetworking/sys/poll.h
===================================================================
--- cpukit/libnetworking/sys/poll.h	(revision ae1a4c14e4d5ce81767e11b1a315b354ed44dd04)
+++ cpukit/libnetworking/sys/poll.h	(revision cd9564e1cd88d45a551d61e862b630e1c9a940d4)
@@ -32,5 +32,5 @@
 #define	_SYS_POLL_H_
 
-#include <sys/cdefs.h>
+#include <rtems/bsd/sys/cdefs.h>
 
 /*
Index: cpukit/libnetworking/sys/socket.h
===================================================================
--- cpukit/libnetworking/sys/socket.h	(revision ae1a4c14e4d5ce81767e11b1a315b354ed44dd04)
+++ cpukit/libnetworking/sys/socket.h	(revision cd9564e1cd88d45a551d61e862b630e1c9a940d4)
@@ -38,5 +38,5 @@
 #define	_SYS_SOCKET_H_
 
-#include <sys/cdefs.h>
+#include <rtems/bsd/sys/cdefs.h>
 #include <rtems/bsdnet/_types.h>
 
Index: cpukit/libnetworking/sys/sysctl.h
===================================================================
--- cpukit/libnetworking/sys/sysctl.h	(revision ae1a4c14e4d5ce81767e11b1a315b354ed44dd04)
+++ cpukit/libnetworking/sys/sysctl.h	(revision cd9564e1cd88d45a551d61e862b630e1c9a940d4)
@@ -631,5 +631,5 @@
 
 #else	/* !_KERNEL */
-#include <sys/cdefs.h>
+#include <rtems/bsd/sys/cdefs.h>
 
 __BEGIN_DECLS
Index: cpukit/libnetworking/sys/syslog.h
===================================================================
--- cpukit/libnetworking/sys/syslog.h	(revision ae1a4c14e4d5ce81767e11b1a315b354ed44dd04)
+++ cpukit/libnetworking/sys/syslog.h	(revision cd9564e1cd88d45a551d61e862b630e1c9a940d4)
@@ -179,5 +179,5 @@
 #else /* not _KERNEL */
 
-#include <sys/cdefs.h>
+#include <rtems/bsd/sys/cdefs.h>
 #include <stdarg.h>
 
Index: cpukit/libnetworking/sys/uio.h
===================================================================
--- cpukit/libnetworking/sys/uio.h	(revision ae1a4c14e4d5ce81767e11b1a315b354ed44dd04)
+++ cpukit/libnetworking/sys/uio.h	(revision cd9564e1cd88d45a551d61e862b630e1c9a940d4)
@@ -38,5 +38,5 @@
 #define	_SYS_UIO_H_
 
-#include <sys/cdefs.h>
+#include <rtems/bsd/sys/cdefs.h>
 
 /*
Index: cpukit/libnetworking/sys/un.h
===================================================================
--- cpukit/libnetworking/sys/un.h	(revision ae1a4c14e4d5ce81767e11b1a315b354ed44dd04)
+++ cpukit/libnetworking/sys/un.h	(revision cd9564e1cd88d45a551d61e862b630e1c9a940d4)
@@ -38,5 +38,5 @@
 #define _SYS_UN_H_
 
-#include <sys/cdefs.h>
+#include <rtems/bsd/sys/cdefs.h>
 #include <rtems/bsdnet/_types.h>
 
Index: cpukit/librpc/include/rpc/auth.h
===================================================================
--- cpukit/librpc/include/rpc/auth.h	(revision ae1a4c14e4d5ce81767e11b1a315b354ed44dd04)
+++ cpukit/librpc/include/rpc/auth.h	(revision cd9564e1cd88d45a551d61e862b630e1c9a940d4)
@@ -44,5 +44,5 @@
 #ifndef _RPC_AUTH_H
 #define _RPC_AUTH_H
-#include <sys/cdefs.h>
+#include <rtems/bsd/sys/cdefs.h>
 #include <sys/socket.h>
 
Index: cpukit/librpc/include/rpc/auth_unix.h
===================================================================
--- cpukit/librpc/include/rpc/auth_unix.h	(revision ae1a4c14e4d5ce81767e11b1a315b354ed44dd04)
+++ cpukit/librpc/include/rpc/auth_unix.h	(revision cd9564e1cd88d45a551d61e862b630e1c9a940d4)
@@ -47,5 +47,5 @@
 #ifndef _RPC_AUTH_UNIX_H
 #define _RPC_AUTH_UNIX_H
-#include <sys/cdefs.h>
+#include <rtems/bsd/sys/cdefs.h>
 
 /* The machine name is part of a credential; it may not exceed 255 bytes */
Index: cpukit/librpc/include/rpc/clnt.h
===================================================================
--- cpukit/librpc/include/rpc/clnt.h	(revision ae1a4c14e4d5ce81767e11b1a315b354ed44dd04)
+++ cpukit/librpc/include/rpc/clnt.h	(revision cd9564e1cd88d45a551d61e862b630e1c9a940d4)
@@ -65,5 +65,5 @@
 #define _RPC_CLNT_H_
 #include <rpc/clnt_stat.h>
-#include <sys/cdefs.h>
+#include <rtems/bsd/sys/cdefs.h>
 #include <sys/un.h>
 
Index: cpukit/librpc/include/rpc/clnt_soc.h
===================================================================
--- cpukit/librpc/include/rpc/clnt_soc.h	(revision ae1a4c14e4d5ce81767e11b1a315b354ed44dd04)
+++ cpukit/librpc/include/rpc/clnt_soc.h	(revision cd9564e1cd88d45a551d61e862b630e1c9a940d4)
@@ -48,5 +48,5 @@
  */
 
-#include <sys/cdefs.h>
+#include <rtems/bsd/sys/cdefs.h>
 
 #define UDPMSGSIZE      8800    /* rpc imposed limit on udp msg size */  
Index: cpukit/librpc/include/rpc/pmap_clnt.h
===================================================================
--- cpukit/librpc/include/rpc/pmap_clnt.h	(revision ae1a4c14e4d5ce81767e11b1a315b354ed44dd04)
+++ cpukit/librpc/include/rpc/pmap_clnt.h	(revision cd9564e1cd88d45a551d61e862b630e1c9a940d4)
@@ -63,5 +63,5 @@
 #ifndef _RPC_PMAPCLNT_H
 #define _RPC_PMAPCLNT_H
-#include <sys/cdefs.h>
+#include <rtems/bsd/sys/cdefs.h>
 
 __BEGIN_DECLS
Index: cpukit/librpc/include/rpc/pmap_prot.h
===================================================================
--- cpukit/librpc/include/rpc/pmap_prot.h	(revision ae1a4c14e4d5ce81767e11b1a315b354ed44dd04)
+++ cpukit/librpc/include/rpc/pmap_prot.h	(revision cd9564e1cd88d45a551d61e862b630e1c9a940d4)
@@ -71,5 +71,5 @@
 #ifndef _RPC_PMAPPROT_H
 #define _RPC_PMAPPROT_H
-#include <sys/cdefs.h>
+#include <rtems/bsd/sys/cdefs.h>
 
 #define PMAPPORT		((u_short)111)
Index: cpukit/librpc/include/rpc/pmap_rmt.h
===================================================================
--- cpukit/librpc/include/rpc/pmap_rmt.h	(revision ae1a4c14e4d5ce81767e11b1a315b354ed44dd04)
+++ cpukit/librpc/include/rpc/pmap_rmt.h	(revision cd9564e1cd88d45a551d61e862b630e1c9a940d4)
@@ -41,5 +41,5 @@
 #ifndef _RPC_PMAPRMT_H
 #define _RPC_PMAPRMT_H
-#include <sys/cdefs.h>
+#include <rtems/bsd/sys/cdefs.h>
 
 struct rmtcallargs {
Index: cpukit/librpc/include/rpc/svc.h
===================================================================
--- cpukit/librpc/include/rpc/svc.h	(revision ae1a4c14e4d5ce81767e11b1a315b354ed44dd04)
+++ cpukit/librpc/include/rpc/svc.h	(revision cd9564e1cd88d45a551d61e862b630e1c9a940d4)
@@ -40,5 +40,5 @@
 #ifndef _RPC_SVC_H
 #define _RPC_SVC_H
-#include <sys/cdefs.h>
+#include <rtems/bsd/sys/cdefs.h>
 
 /*
Index: cpukit/librpc/include/rpc/svc_soc.h
===================================================================
--- cpukit/librpc/include/rpc/svc_soc.h	(revision ae1a4c14e4d5ce81767e11b1a315b354ed44dd04)
+++ cpukit/librpc/include/rpc/svc_soc.h	(revision cd9564e1cd88d45a551d61e862b630e1c9a940d4)
@@ -40,5 +40,5 @@
 #ifndef _RPC_SVC_SOC_H
 #define _RPC_SVC_SOC_H
-#include <sys/cdefs.h>
+#include <rtems/bsd/sys/cdefs.h>
 
 /* #pragma ident   "@(#)svc_soc.h  1.11    94/04/25 SMI" */
Index: cpukit/librpc/include/rpc/xdr.h
===================================================================
--- cpukit/librpc/include/rpc/xdr.h	(revision ae1a4c14e4d5ce81767e11b1a315b354ed44dd04)
+++ cpukit/librpc/include/rpc/xdr.h	(revision cd9564e1cd88d45a551d61e862b630e1c9a940d4)
@@ -42,5 +42,5 @@
 #ifndef _RPC_XDR_H
 #define _RPC_XDR_H
-#include <sys/cdefs.h>
+#include <rtems/bsd/sys/cdefs.h>
 
 /*
Index: cpukit/librpc/include/rpcsvc/ypclnt.h
===================================================================
--- cpukit/librpc/include/rpcsvc/ypclnt.h	(revision ae1a4c14e4d5ce81767e11b1a315b354ed44dd04)
+++ cpukit/librpc/include/rpcsvc/ypclnt.h	(revision cd9564e1cd88d45a551d61e862b630e1c9a940d4)
@@ -33,5 +33,5 @@
 #define _RPCSVC_YPCLNT_H_
 
-#include <sys/cdefs.h>
+#include <rtems/bsd/sys/cdefs.h>
 
 #define YPERR_BADARGS	1		/* args to function are bad */
